%bcond_with	tests # broken
#
%define 	module	pyliblzma
Summary:	Platform independent python bindings for the LZMA compression library
Name:		python-%{module}
Version:	0.5.3
Release:	2
License:	LGPL v3
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/p/pyliblzma/%{module}-%{version}.tar.bz2
# Source0-md5:	500f61116ee1ab4063b49c121786863a
URL:		https://launchpad.net/pyliblzma
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	xz-devel
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PylibLZMA provides a python interface for the liblzma library to read
and write data that has been compressed or can be decompressed by
Lasse Collin's xz / lzma utils.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build \
	--debug

%if %{with tests}
python setup.py test
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

%py_install

%py_comp $RPM_BUILD_ROOT
%py_ocomp $RPM_BUILD_ROOT
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README THANKS
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py[co]
%{py_sitedir}/pyliblzma-*.egg-info
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyliblzma.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1a0fa2a
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 0adbadc
- automatic change: use py_build/py_install macros

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> 7c0ecbc
- up to 0.5.3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 3cceb88
- BR: pkgconfig, python-setuptools

* Sun Dec 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2116dd2
- release 4

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6314e58
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d875c6e
- release 2

* Tue Oct 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3616292
- more docs

* Tue Oct 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a25f195
- initialize

